Bug 192614 - pam_abl: $RPM_OPT_FLAGS not being used
pam_abl: $RPM_OPT_FLAGS not being used
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pam_abl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Dalloz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 17:42 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.2.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 17:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-21 17:42:14 EDT
pam_abl's build doesn't appear to be honoring $RPM_OPT_FLAGS, reusulting in
compiler security features not being used and a more or less useless debuginfo
package.  More info: http://fedoraproject.org/wiki/Packaging/Debuginfo

Possible fix, in %build:
make %{?_smp_mflags} all CFLAGS="$RPM_OPT_FLAGS -fPIC"

This introduces a build failure on FC5 x86_64 though:
log.o: In function `log_pam_error':
/home/scop/cvs/fedora/extras/pam_abl/devel/pam_abl-20050110-0.2.2/tools/log.c:71:
undefined reference to `pam_strerror'
collect2: ld returned 1 exit status
Comment 1 Robert Scheck 2006-06-17 13:30:53 EDT
Verified...problem can be reproduced on x86_32, too. Upgrade to pam_abl 0.2.3 
seems to resolve the problem (at least on x86_32).
Comment 2 Alexander Dalloz 2006-07-16 15:58:26 EDT
The new 0.2.3-1 package went through the build. Thanks to Robert for his work on
the patch. Can this bug be closed?
Comment 3 Robert Scheck 2007-04-16 17:06:45 EDT
Ping Ville?
Comment 4 Ville Skyttä 2007-04-16 17:37:16 EDT
Yep, 0.2.3-* looks better.

Note You need to log in before you can comment on or make changes to this bug.